<?php
/**
 * Blockpress: Pricing table with three columns
 *
 * @package Blockpress
 */

return array(
	'title'         => __( 'Pricing table with list, buttons.', 'blockpress' ),
	'categories'    => array( 'blockpress-general' ),
 
	'content'       => '<!-- wp:columns {"align":"wide"} -->
	<div class="wp-block-columns alignwide"><!-- wp:column {"style":{"elements":{"link":{"color":{"text":"#000000"}}},"spacing":{"padding":{"top":"2em","right":"2em","bottom":"2em","left":"2em"}},"color":{"background":"#f1fbf5"}}} -->
	<div class="wp-block-column has-background has-link-color" style="background-color:#f1fbf5;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em"><!-- wp:heading {"style":{"typography":{"fontSize":"40px"}}} -->
	<h2 id="freemium" style="font-size:40px"><strong>Freemium</strong></h2>
	<!-- /wp:heading -->
	
	<!-- wp:paragraph {"style":{"typography":{"lineHeight":"1.5"}},"fontSize":"normal"} -->
	<p class="has-normal-font-size" style="line-height:1.5"><strong>Enrich our growing community.</strong> </p>
	<!-- /wp:paragraph -->
	
	<!-- wp:separator {"color":"black","className":"is-style-wide"} -->
	<hr class="wp-block-separator has-text-color has-background has-black-background-color has-black-color is-style-wide"/>
	<!-- /wp:separator -->
	
	<!-- wp:list {"fontSize":"normal"} -->
	<ul class="has-normal-font-size"><li>General admission and member discounts for one adult</li><li>One free ticket per special exhibition</li><li>Two single-use guest passes per year</li></ul>
	<!-- /wp:list -->
	
	<!-- wp:buttons {"align":"full","layout":{"type":"flex","justifyContent":"center","orientation":"horizontal"}} -->
	<div class="wp-block-buttons alignfull"><!-- wp:button {"backgroundColor":"black","textColor":"white","width":100,"style":{"spacing":{"padding":{"top":"15px","right":"15px","bottom":"15px","left":"15px"}}},"className":"is-style-cubebtndark"} -->
	<div class="wp-block-button has-custom-width wp-block-button__width-100 is-style-cubebtndark"><a class="wp-block-button__link has-white-color has-black-background-color has-text-color has-background" style="padding-top:15px;padding-right:15px;padding-bottom:15px;padding-left:15px">$110 / year</a></div>
	<!-- /wp:button --></div>
	<!-- /wp:buttons --></div>
	<!-- /wp:column -->
	
	<!-- wp:column {"style":{"color":{"text":"#000000","background":"#fbf4ff"},"elements":{"link":{"color":{"text":"#000000"}}},"spacing":{"padding":{"top":"2em","right":"2em","bottom":"2em","left":"2em"}}},"className":"fr-scaleup-small"} -->
	<div class="wp-block-column fr-scaleup-small has-text-color has-background has-link-color" style="background-color:#fbf4ff;color:#000000;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em"><!-- wp:heading {"style":{"typography":{"fontSize":"40px"}}} -->
	<h2 id="premium" style="font-size:40px"><strong>Premium</strong></h2>
	<!-- /wp:heading -->
	
	<!-- wp:paragraph {"style":{"typography":{"lineHeight":"1.5"}},"fontSize":"normal"} -->
	<p class="has-normal-font-size" style="line-height:1.5"><strong>Support special exhibitions.</strong></p>
	<!-- /wp:paragraph -->
	
	<!-- wp:separator {"className":"is-style-wide"} -->
	<hr class="wp-block-separator is-style-wide"/>
	<!-- /wp:separator -->
	
	<!-- wp:list {"className":"is-style-default","fontSize":"normal"} -->
	<ul class="is-style-default has-normal-font-size"><li>General admission and member discounts for two adults</li><li>Four free tickets per special exhibition</li><li>Four single-use guest passes per year</li></ul>
	<!-- /wp:list -->
	
	<!-- wp:buttons {"align":"full","layout":{"type":"flex","justifyContent":"center","orientation":"horizontal"}} -->
	<div class="wp-block-buttons alignfull"><!-- wp:button {"backgroundColor":"primary","textColor":"textonprimary","width":100,"style":{"spacing":{"padding":{"top":"15px","right":"15px","bottom":"15px","left":"15px"}}},"className":"is-style-cubebtndark","fontSize":"medium"} -->
	<div class="wp-block-button has-custom-width wp-block-button__width-100 has-custom-font-size is-style-cubebtndark has-medium-font-size"><a class="wp-block-button__link has-textonprimary-color has-primary-background-color has-text-color has-background" style="padding-top:15px;padding-right:15px;padding-bottom:15px;padding-left:15px"><strong>$200 / year</strong></a></div>
	<!-- /wp:button --></div>
	<!-- /wp:buttons --></div>
	<!-- /wp:column -->
	
	<!-- wp:column {"style":{"elements":{"link":{"color":{"text":"#000000"}}},"spacing":{"padding":{"top":"2em","right":"2em","bottom":"2em","left":"2em"}},"color":{"background":"#fff6c0"}}} -->
	<div class="wp-block-column has-background has-link-color" style="background-color:#fff6c0;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em"><!-- wp:heading {"style":{"typography":{"fontSize":"40px"}}} -->
	<h2 id="business" style="font-size:40px"><strong>Business</strong></h2>
	<!-- /wp:heading -->
	
	<!-- wp:paragraph {"fontSize":"normal"} -->
	<p class="has-normal-font-size"><strong>Take support to the next level.</strong></p>
	<!-- /wp:paragraph -->
	
	<!-- wp:separator {"color":"black","className":"is-style-wide"} -->
	<hr class="wp-block-separator has-text-color has-background has-black-background-color has-black-color is-style-wide"/>
	<!-- /wp:separator -->
	
	<!-- wp:list {"fontSize":"normal"} -->
	<ul class="has-normal-font-size"><li>General admission and member discounts for two adults</li><li>Five free tickets per special exhibition</li><li>Six single-use guest passes per year</li></ul>
	<!-- /wp:list -->
	
	<!-- wp:buttons {"align":"full","layout":{"type":"flex","justifyContent":"center","orientation":"horizontal"}} -->
	<div class="wp-block-buttons alignfull"><!-- wp:button {"backgroundColor":"black","textColor":"white","width":100,"style":{"spacing":{"padding":{"top":"15px","right":"15px","bottom":"15px","left":"15px"}}},"className":"is-style-cubebtndark"} -->
	<div class="wp-block-button has-custom-width wp-block-button__width-100 is-style-cubebtndark"><a class="wp-block-button__link has-white-color has-black-background-color has-text-color has-background" style="padding-top:15px;padding-right:15px;padding-bottom:15px;padding-left:15px">$400 / year</a></div>
	<!-- /wp:button --></div>
	<!-- /wp:buttons --></div>
	<!-- /wp:column --></div>
	<!-- /wp:columns -->',
);
